package com.jkcredit.invoice.hub.service.permission;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.permission.PermissionDto;
import com.jkcredit.invoice.hub.model.po.permission.PermissionPo;
import com.jkcredit.invoice.hub.model.vo.permission.PermissionVo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/6 14:46
 * @version: V1.0
 **/
public interface PermissionService {
    List<PermissionPo> getPermissionByUserId(Long userId);

    IPage<PermissionVo> getPermissions(Page page, PermissionDto permissionDto);

    void savePermission(PermissionDto permissionDto);

    List<PermissionVo> getPermissions();
}
